************************************************************* .
GET FILE = "UUIAT3.ICCs.ECCs.moderators.sav" .

* Allow needed info to print on a single line .
STRING author_brief(A36) crit_brief(A25) iat_brief(A25) exp_brief(A25) .
COMPUTE author_brief = SUBSTR(author_names, 1, 36) .
COMPUTE crit_brief = SUBSTR(criterion_content, 1, 25) .
COMPUTE iat_brief = SUBSTR(iat_content, 1, 25) .
COMPUTE exp_brief = SUBSTR(self_report_content, 1, 25) .

COMPUTE Z_icc =  0.5*(LN((1+r_icc)/(1-r_icc))) .
COMPUTE wt_icc = N_icc - 3 .
COMPUTE Z_X_wt_icc = Z_icc * wt_icc .
EXECUTE .

COMPUTE Z_ecc =  0.5*(LN((1+r_ecc)/(1-r_ecc))) .
COMPUTE wt_ecc = N_ecc - 3 .
COMPUTE Z_X_wt_ecc = Z_ecc * wt_ecc .
EXECUTE .

DESCRIPTIVES Z_icc wt_icc Z_X_wt_icc Z_ecc wt_ecc Z_X_wt_ecc .

*SAVE a file with identifying info, Fisher Zs, weights, Z*wt products, i_att_bel_sc, e_att_bel_sc. 
SORT CASES BY paper_num author_names sample_num expt_num iat_code self_rep_code crit_code .

SAVE OUTFILE = "Z_ICCs&Z_ECCs.sav"
 / KEEP = paper_num author_names sample_num expt_num crit_code category iat_code self_rep_code
   i_att_bel_sc e_att_bel_sc author_brief crit_brief iat_brief exp_brief
   r_icc N_icc z_icc wt_icc z_X_wt_icc r_ecc N_ecc z_ecc wt_ecc z_X_wt_ecc .

*********************************************************************************************** .

*Create parallel file for IECs.
GET FILE = "UUIAT3.IECs.sav" .

* Allow needed info to print on a single line .
STRING author_brief(A36) iat_brief(A25) exp_brief(A25) .
COMPUTE author_brief = SUBSTR(author_names, 1, 36) .
COMPUTE iat_brief = SUBSTR(iat_content, 1, 25) .
COMPUTE exp_brief = SUBSTR(self_report_content, 1, 25) .

COMPUTE z_iec =  0.5*(LN((1+r_iec)/(1-r_iec))) .
COMPUTE wt_iec = N_iec - 3 .
COMPUTE z_X_wt_iec = z_iec * wt_iec .
EXECUTE .

DESCRIPTIVES Z_iec wt_iec Z_X_wt_iec .
RENAME VARIABLES 
 (iat_content = iat_cont) 
 (self_report_content=self_report_cont) .

*SAVE a file with identifying info, Fisher Zs, weights, Z*wt products, i_att_bel_sc, e_att_bel_sc. 

SORT CASES BY paper_num author_names sample_num expt_num iat_code self_rep_code .
SAVE OUTFILE = "Z_IECs.sav"
 / DROP = pg_r_iec pg_N_iec .



*Now use these files to create files that can compute partial correlations .
* For each file that has both r_icc and r_ecc, add the appropriate r_iec to the data line .

GET FILE = "Z_ICCs&Z_ECCs.sav" .

SORT CASES BY paper_num author_names sample_num expt_num iat_code category self_rep_code crit_code .
MATCH FILES FILE = * / TABLE = "Z_IECs.sav" 
 / BY paper_num author_names sample_num expt_num iat_code self_rep_code .
EXECUTE .

*Delete this variable because it's not present for all cases .
DELETE VARIABLES report_year .
SAVE OUTFILE = "All_ESs.sav" .
