*  Siri Carpenter, 9/8/97;
*  Prediss Study 3--Voting Study;
*  This program examines participants' error rates on IATs;

options linesize=64;


*DATASET: IAT for specific male and female political candidates;

data spec;
  infile 'd:\prediss\study3\sas\std3data\spec.txt';
  input subject session rnd_seed exp_stat block trial respac respse resprt
        stimtype ident;


*drop useless variables;
drop rnd_seed exp_stat;


*eliminate trials with zero rt to enable log transformation;
  if resprt = 0 then delete;

*eliminate practice trials;
  if block=1 or block=2 or block=3 or block=4 or block=8 or block=9
  or block=10 or block=11 then delete;

*create log reaction time variable;
  lrt=log10(resprt);

proc sort;
  by subject;  run;

*eliminate outliers;

  proc summary nway data=spec;
    class subject;
    var lrt;
    output out=temp1  mean=subjmean
                    n=subjn
                    std=subjstd;

  data cut3stds;
    merge temp1 spec;
    by subject;

  z=(lrt-subjmean)/subjstd;
      if z > 3 then delete;
      if z < -3 then delete;


proc means n mean std;
  class subject;
  var respac;
  title 'Error rates on Specific IAT';
  run;


*****************************

* DATASET: IAT for general male and female political candidates;

data lead;
  infile 'd:\prediss\study3\sas\std3data\lead.txt';
  input subject session rnd_seed exp_stat block trial respac respse resprt
        stimtype ident;


*drop useless variables;
drop rnd_seed exp_stat;


*eliminate trials with zero rt to enable log transformation;
  if resprt = 0 then delete;

*eliminate practice trials;
  if block=1 or block=2 or block=3 or block=4 or block=8 or block=9
  or block=10 or block=11 then delete;

*create log reaction time variable;
  lrt=log10(resprt);

proc sort;
  by subject;  run;


*eliminate outliers;

  proc summary nway data=lead;
    class subject;
    var lrt;
    output out=temp1  mean=subjmean
                    n=subjn
                    std=subjstd;

  data cut3stds;
    merge temp1 lead;
    by subject;

  z=(lrt-subjmean)/subjstd;
      if z > 3 then delete;
      if z < -3 then delete;


  proc means n mean std;
  class subject;
  var respac;
  title 'Error rates on General IAT';
  run;
