* Siri Carpenter;
*  September 7, 1997;
*  inferential statistics for Study 3;

options linesize=86;

libname alllib 'd:\prediss\study3\sas\std3data';

data temp;
  set alllib.lrtdata;


*  CREATE FEMINISM SCALE (BASED ON FACTOR ANALYSIS OF ITEMS);
feminism=mean (of affactn edubias era changenm gendlang);

*  CREATE SCALES FOR EVALUATIONS OF CANDIDATES ON COMPUTER;
  *using index guided by 3-factor promax solution with male and;
  *female subjects separate;
  fcancoop=mean (of femcmpas femcoop);
  fcanintl=mean(of femstrng femintel);
  fcanfav=mean(of femfavor femsccss);
  mcancoop=mean(of malcmpas malcoop);
  mcanintl=mean(of malstrng malintel);
  mcanfav=mean(of malfavor malsccss);


label fcancoop='Female Candidate Cooperative Index'
      fcanintl='Female Candidate Intelligent Index'
      fcanfav='Female Candidate Favorability Index'
      mcancoop='Male Candidate Cooperative Index'
      mcanintl='Male Candidate Intelligent Index'
      mcanfav='Male Candidate Favorability Index';

*create log variable for explicit liking toward groups;
lg_mcand=log10(mcanplea);
lg_mlea=log10(mleaplea);
lg_fcand=log10(fcanplea);
lg_flea=log10(fleaplea);
lg_men=log10(menplea);
lg_wom=log10(womplea);

*delete subject who didn't respond to most explicit questions;
if subject=198 then delete;

proc sort data=temp;
  by subgend;

*********************;
* CORRELATIONS BETWEEN IMPLICIT PREFERENCES AND FEMINISM;

proc corr;
  var feminism;
  with spmlpref gmlpref;
  title 'Correlation between explicit feminism measure and IAT preferences';
  run;

proc corr;
  by subgend;
  var feminism;
  with spmlpref gmlpref;
  title 'Correlation between explicit feminism measure and IAT preferences, by subgend';
  run;


/*

*********************;
* PLOTS AND CORRELATIONS USING LOGGED EXPLICIT LIKING MEASURE;

proc plot;
  plot lg_mcand*spmlpref=subgend;
  title 'Plot of implicit preference for spec. male against logged explicit liking for male cand';
  run;

proc plot;
  plot lg_mlea*gmlpref=subgend;
  title 'Plot of implicit preference for gen. male leaders against logged explicit liking for male leaders';
  run;

proc corr;
  var spmlpref gmlpref;
  with lg_fcand lg_mcand lg_flea lg_mlea lg_wom lg_men;
  title 'Correlations between implicit preferences and logged explicit liking for each group';
  run;

proc corr;
  by subgend;
  var spmlpref gmlpref;
  with lg_fcand lg_mcand lg_flea lg_mlea lg_wom lg_men;
  title 'Correlations between implicit preferences and logged explicit liking for each group';
  title2 'For each subgend';
  run;


*CORRELATIONS BETWEEN IMPLICIT MEASURES AND EXPLICIT (WRITTEN) EVALUATIONS;

proc corr;
  var spmlpref gmlpref;
  with fcanplea mcanplea fleaplea mleaplea womplea menplea;
  title 'Correlations between implicit preference and explicit liking for each group';
  run;

proc corr;
  by subgend;
  var spmlpref gmlpref;
  with fcanplea mcanplea fleaplea mleaplea womplea menplea;
  title 'Correlations, by subgend, between implicit preference and explicit liking for each group';
  run;


proc corr;
  var spmlpref gmlpref;
  with expfspec expmspec expfgen expmgen;
  title 'Correlations between implicit preference and explicit RAI scores';
  run;

proc corr;
  by subgend;
  var spmlpref gmlpref;
  with expfspec expmspec expfgen expmgen;
  title 'Correlations between implicit preference and explicit RAI scores';
  run;


proc corr;
  var raifspec raimspec raifgen raimgen;
      with expfspec expmspec expfgen expmgen;
  title 'correlations between implicit and explicit RAI scores';
  run;

proc corr;
  var raifspec raimspec raifgen raimgen;
      with expfspec expmspec expfgen expmgen;
  by subgend;
  title 'correlations between implicit and explicit RAI scores, by subject gender';
  run;


********************************;

*CORRELATIONS BETWEEN IMPLICIT MEASURES AND EXPLICIT (COMPUTER) EVALUATIONS;

proc corr;
  var spmlpref gmlpref;
  with fcancoop fcanintl fcanfav mcancoop mcanintl mcanfav;
  title 'Correlations between implicit preference scores and computer evaluations';
  run;

proc corr;
  by subgend;
  var spmlpref gmlpref;
  with fcancoop fcanintl fcanfav mcancoop mcanintl mcanfav;
  title 'Correlations between implicit preference scores and computer evaluations';
  run;


proc corr;
  var raifspec raimspec raifgen raimgen;
  with fcancoop fcanintl fcanfav mcancoop mcanintl mcanfav;
  title 'Correlations between Implicit Attitudes and Evaluations of candidates on computer';
  run;


proc corr;
  by subgend;
  var raifspec raimspec raifgen raimgen;
  with fcancoop fcanintl fcanfav mcancoop mcanintl mcanfav;
  title 'Correlations between Implicit Attitudes and Evaluations of candidates on computer, by subgend';
  run;

*/
