*The combined data set (MIXDATA.SD2) includes PreDiss3.  It is Expt 1 of the dissertation.

GET SAS DATA='MIXDATA.SD2'.
*DESCRIPTIVES ALL .

*drop variables that appear only for SUBJECT=18 .
DELETE VARIABLES COL29 TO COL56 .
DESCRIPTIVES ALL .

FREQUENCIES subgend .
CORRELATIONS FMNST  subgend .
*This tells me that "female" gender is scored "1" (male=0) in the data set.

* There are "specific"  and "general" male leader IATs.
* Variable names are "raispec" and "raigen" .

* Can't use EXPSPEC and EXPGEN as the parallel explicit measures because these appear for < 80 subjects.

* The specific one should predict vote for the specific candidate.
* The general one can be included, but it would be low on a specificity moderator rating.

DESCRIPTIVES FEMFAVOR MALFAVOR FEMSCCSS MALSCCSS FEMSTRNG MALSTRNG 
             FEMCMPAS MALCMPAS FEMINTEL MALINTEL FEMCOOP MALCOOP .
CORRELATIONS FEMFAVOR MALFAVOR FEMSCCSS MALSCCSS FEMSTRNG MALSTRNG 
             FEMCMPAS MALCMPAS FEMINTEL MALINTEL FEMCOOP MALCOOP .

COMPUTE mal_cand_explicit = MEAN(MALFAVOR,MALSCCSS,MALSTRNG,MALCMPAS,MALINTEL,MALCOOP) .
COMPUTE fem_cand_explicit = MEAN(FEMFAVOR,FEMSCCSS,FEMSTRNG,FEMCMPAS,FEMINTEL,FEMCOOP) .
DESCRIPTIVES mal_cand_explicit fem_cand_explicit .
CORRELATIONS mal_cand_explicit fem_cand_explicit .
COMPUTE candidate_explicit = mal_cand_explicit - fem_cand_explicit .
EXECUTE .

SORT CASES BY subgend .
SPLIT FILE BY subgend .
CORRELATIONS vote raispec raigen  .
SPLIT FILE OFF .
CORRELATIONS vote raispec raigen candidate_explicit  .

