*  Siri Carpenter, 1/22/98;
*  Prediss Studies 3 and 4--Voting Studies;
*  This program looks for error rates for all 3rd and 4th study data.;
options linesize=64;


*STUDY 3 DATA;
************************;

*DATASET: IAT for specific male and female political candidates;

data specx;
  infile 'c:\my documents\prediss\study3\sas\std3data\spec.txt';
  input subject session rnd_seed exp_stat block trial respac respse resprt
        stimtype ident;


*drop useless variables;
drop rnd_seed exp_stat;

*eliminate trials with zero rt to enable log transformation;
  if resprt = 0 then delete;

*eliminate practice trials;
  if block=1 or block=2 or block=3 or block=5 or block=6 then delete;

respac=1-respac;

run;

proc means n mean std;
  class subject;
  var respac;
  run;

*************************;
* DATASET: IAT for general male and female political candidates;

data leadx;
  infile 'c:\my documents\prediss\study3\sas\std3data\lead.txt';
  input subject session rnd_seed exp_stat block trial respac respse resprt
        stimtype ident;


*drop useless variables;
drop rnd_seed exp_stat;

*eliminate trials with zero rt to enable log transformation;
  if resprt = 0 then delete;

*eliminate practice trials;
  if block=1 or block=2 or block=3 or block=5 or block=6 then delete;

respac=1-respac;

run;

proc means n mean std;
  class subject;
  var respac;
  run;


**************************************************************;
**************************************************************;
*STUDY 4 DATA;

************************;
*DATASET: IAT for specific male and female political candidates;

data spec;
  infile 'c:\my documents\prediss\study4\sas\std4data\spec.txt';
  input subject session rnd_seed exp_stat block trial respac respse resprt
        stimtype ident;

*drop useless variables;
drop rnd_seed exp_stat;

*eliminate trials with zero rt to enable log transformation;
  if resprt = 0 then delete;

*eliminate practice trials;
  if block=1 or block=2 or block=3 or block=5 or block=6 then delete;

respac=1-respac;

run;

proc means n mean std;
  class subject;
  var respac;
  run;




*************************;
* DATASET: IAT for general male and female political candidates;

data lead;
  infile 'c:\my documents\prediss\study4\sas\std4data\lead.txt';
  input subject session rnd_seed exp_stat block trial respac respse resprt
        stimtype ident;

*drop useless variables;
drop rnd_seed exp_stat;

*eliminate trials with zero rt to enable log transformation;
  if resprt = 0 then delete;

*eliminate practice trials;
  if block=1 or block=2 or block=3 or block=5 or block=6 then delete;

respac=1-respac;

run;

proc means n mean std;
  class subject;
  var respac;
  run;
