GET FILE = "doc.data.sav" .

COMPUTE Wh_more_coop = b2whitco - b3blckco .
COMPUTE Wh_warmer = b8whitwa - b9blckwa .
EXECUTE .

CORRELATIONS b1pxcoop b7pxpref Wh_more_coop Wh_warmer .

*Reverse b1pxcoop b7pxpref, standardize, and combine .
COMPUTE Rev_b1 = 0 - b1pxcoop .
COMPUTE Rev_b7 = 0 - b7pxpref .
EXECUTE .

DESCRIPTIVES Rev_b1 Rev_b7 Wh_more_coop Wh_warmer /SAVE .
COMPUTE TG_comp_expl = MEAN(ZRev_b1, ZRev_b7, ZWh_more_coop, ZWh_warmer) .
COMPUTE TG_comp_IAT = MEAN (sp_d, ge_d, gb_d) .
EXECUTE .

*Analyze only for judgments of black patient (pic_2=2) by
* subjects who had "no idea" about the topic of the study (inform = 1) 
* and who had completed at least 2 of the 3 IATs (d.2or3.3 = 1) .

COMPUTE filter$ = (pic_2=2)&(inform=1)&(d.2or3.3=1).
FILTER BY filter$ .

*DESCRIPTIVES ALL .

CORRELATIONS Rev_b1 Rev_b7 Wh_more_coop Wh_warmer .
CORRELATIONS TG_comp_expl exp_comp .
CORRELATIONS sp_d ge_d gb_d TG_comp_IAT comp_d .
CORRELATIONS  exp_comp TG_comp_expl comp_d TG_comp_IAT with rec.2.r .

FILTER OFF .

*Analyze only for judgments of white (pic_2=1) patient by
* subjects who had "no idea" about the topic of the study (inform = 1) 
* and who had completed at least 2 of the 3 IATs (d.2or3.3 = 1) .
COMPUTE filter$ = (pic_2=1)&(inform=1)&(d.2or3.3=1).
FILTER BY filter$ .

*DESCRIPTIVES ALL .

CORRELATIONS Rev_b1 Rev_b7 Wh_more_coop Wh_warmer .
CORRELATIONS TG_comp_expl exp_comp .
CORRELATIONS sp_d ge_d gb_d TG_comp_IAT comp_d .
CORRELATIONS  exp_comp TG_comp_expl comp_d TG_comp_IAT with rec.2.r .

FILTER OFF .

*Do regression analysis of between-groups design.

COMPUTE exp_product = exp_comp * pic_2 .
COMPUTE TG_exp_product = TG_comp_expl * pic_2 .
COMPUTE IAT_product = comp_d * pic_2 .
COMPUTE TG_IAT_product = TG_comp_IAT * pic_2 .
EXECUTE .

*Analyze judgments for both patients, limited to:
* subjects who had "no idea" about the topic of the study (inform = 1) 
* and who had completed at least 2 of the 3 IATs (d.2or3.3 = 1) .

COMPUTE filter$ = (pic_2=1 OR pic_2=2)&(inform=1)&(d.2or3.3=1).
FILTER BY filter$ .

REGRESSION 
 / STATISTICS = R CHA ZPP COEFF ANOVA
 / DEP = rec.2.r
 / METHOD = ENTER exp_comp pic_2 / METHOD = ENTER exp_product .

REGRESSION 
 / STATISTICS = R CHA ZPP COEFF ANOVA
 / DEP = rec.2.r
 / METHOD = ENTER TG_comp_expl pic_2 / METHOD = ENTER TG_exp_product .

REGRESSION 
 / STATISTICS = R CHA ZPP COEFF ANOVA
 / DEP = rec.2.r
 / METHOD = ENTER comp_d pic_2 / METHOD = ENTER IAT_product .

REGRESSION 
 / STATISTICS = R CHA ZPP COEFF ANOVA
 / DEP = rec.2.r
 / METHOD = ENTER TG_comp_IAT pic_2 / METHOD = ENTER TG_IAT_product .


COMPUTE gb_d_IAT_product = gb_d * pic_2 .
REGRESSION 
 / STATISTICS = R CHA ZPP COEFF ANOVA
 / DEP = rec.2.r
 / METHOD = ENTER gb_d pic_2 / METHOD = ENTER gb_d_IAT_product .
