********compute explicits*********************


COMPUTE ex.wh_bl.coop=b2whitco-b3blckco.
EXECUTE.

COMPUTE ex.wh_bl.warm=b8whitwa-b9blckwa.
EXECUTE.



*****Z scoring***************


DESCRIPTIVES VARIABLES=ex.wh_bl.coop ex.wh_bl.warm b4blkwhi b7pxpref
  /SAVE
  /STATISTICS=MEAN STDDEV MIN MAX.


**************compute averages from z-scores********************

COMPUTE exp_comp_4=mean(Zex.wh_bl.coop,Zex.wh_bl.warm,Zb4blkwhi,Zb7pxpref).
EXECUTE.

COMPUTE ex_avg_goodbad=mean(Zb7pxpref,Zex.wh_bl.warm).
EXECUTE.

COMPUTE ex_avg_specificmed=mean(Zb4blkwhi,Zex.wh_bl.coop).
EXECUTE.



*******************recode informed****************

RECODE d4postq4 (5=2) (4=2) (3=2) (2=1) (MISSING=SYSMIS) (1=1) INTO informed.
EXECUTE.


***********recode thromb (so yes = 1 and no = 0********************

RECODE a2tx (1=1) (2=0) INTO recom.thromb.
EXECUTE.

***use if****


USE ALL.
COMPUTE filter_$=((use_demo = 1)  & (resloc=11 or resloc=12 or resloc=13 or resloc=14 or resloc=15 
    or resloc=16 or resloc=17) & (particb4=22) & (d.2or3.3=1)).
VARIABLE LABEL filter_$ '(use_demo = 1)  & (resloc=11 or resloc=12 or resloc=13 or resloc=14 or '+
    'resloc=15 or resloc=16 or resloc=17) & (particb4=22)  (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.


**************compute interaction terms**********************


COMPUTE exp_x_race=exp_comp_4 * pic_2.
EXECUTE.


COMPUTE avg_gdbdxrace=ex_avg_goodbad*pic_2.
EXECUTE.

COMPUTE avg_spmedxrace=ex_avg_specificmed*pic_2.
EXECUTE.

COMPUTE aggcare_x_race=b4blkwhi * pic_2.
EXECUTE.

COMPUTE pref_x_race=b7pxpref * pic_2.
EXECUTE.

COMPUTE warm_x_race=ex.wh_bl.warm * pic_2.
EXECUTE.

COMPUTE coop_x_race=ex.wh_bl.coop * pic_2.
EXECUTE.


***regression with explicit composite (all 4 zscored and averaged)**********


REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA ZPP
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT recom.thromb
  /METHOD=ENTER exp_x_race exp_comp_4 pic_2.



***regression with 2 higher order explicits (after z scoring and averaging relevant explicits): general preference and specific to med context******




REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA ZPP
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT recom.thromb
  /METHOD=ENTER pic_2 ex_avg_goodbad pref_x_race.



REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA ZPP
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT recom.thromb
  /METHOD=ENTER pic_2 ex_avg_specificmed avg_spmedxrace.



*****regressions with each of the 4 specific explicits on raw data not z-scored*****





REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA ZPP
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT recom.thromb
  /METHOD=ENTER pic_2 b7pxpref pref_x_race.

REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA ZPP
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT recom.thromb
  /METHOD=ENTER pic_2 warm_x_race ex.wh_bl.warm.

REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA ZPP
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT recom.thromb
  /METHOD=ENTER pic_2 b4blkwhi aggcare_x_race.

REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA ZPP
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT recom.thromb
  /METHOD=ENTER pic_2 coop_x_race ex.wh_bl.coop.




