*.
* Coca-Cola - Pepsi STUDY.
* GENERATION OF THE VARIABLES USED IN THE ANALYSES.
*.

GET FILE = 'pepco_ang.sav' .

COMPUTE line_di = line_cok - line_pe .

compute pop_dif = c_pop - p_pop.
compute mod_dif = c_mod - p_mod.
compute fas_dif = c_fas - p_fas.
compute yo_dif = c_yo - p_yo.
compute tast_dif = c_tast - p_tast.
compute he_dif = c_he - p_he.

compute frec_dif = freq1_co - freq1_pe.

compute eval = (pop_dif + mod_dif + fas_dif + yo_dif + tast_dif + he_dif)/6.

*.
* Z-SCORE GENERATION.
*.
DESCRIPTIVES   VARIABLES=line_dif  /SAVE   /STATISTICS=MEAN STDDEV MIN MAX .

DESCRIPTIVES   VARIABLES=prefer2  /SAVE   /STATISTICS=MEAN STDDEV MIN MAX .

DESCRIPTIVES   VARIABLES=eval  /SAVE   /STATISTICS=MEAN STDDEV MIN MAX .

compute z_global =  (zprefer2 +  zline_di + zeval)/3.

***********
*Analyses are conducted in the same order as are presented in the text
***********
*.
* I. ANALYSES SECTION EXPLICIT BRAND ATTITUDES .
*.
T-TEST
  PAIRS= c_pop c_mod c_fas c_yo c_tast c_he  WITH p_pop p_mod p_fas p_yo
  p_tast p_he (PAIRED)
  /CRITERIA=CIN(.95)
  /MISSING=ANALYSIS.

SORT CASES BY user_of .
SPLIT FILE BY user_of .
T-TEST
  PAIRS= c_pop c_mod c_fas c_yo c_tast c_he  WITH p_pop p_mod p_fas p_yo
  p_tast p_he (PAIRED)
  /CRITERIA=CIN(.95)
  /MISSING=ANALYSIS.
SPLIT FILE OFF .

*.
* II. ANALYSES SECTION IMPLICIT ATTITUDES.
*.
T-TEST
  GROUPS=user_of(1 2)
  /MISSING=ANALYSIS
  /VARIABLES=la2dfba lnldfba
  /CRITERIA=CIN(.95) .

SPLIT FILE BY user_of .
T-TEST
  PAIRS= lat2ab lnl2ab  WITH lat2ba lnl2ba (PAIRED)
  /CRITERIA=CIN(.95)
  /MISSING=ANALYSIS.
SPLIT FILE OFF .

*.
* III. ANALYSES SECTION IMPLICIT ATTITUDE - anova 2x2 usage x recognition
*.

GLM lnldfba  BY user_of blind 
 /  EMMEANS = TABLES (user_of * blind) .
 
GLM la2dfba BY user_of blind 
 /  EMMEANS = TABLES (user_of * blind) .

RECODE
  frec_dif
  (-4 thru -2=1)  (2 thru 4=2)  INTO  frec_df2 .

GLM lnldfba  BY frec_df2 blind 
 /  EMMEANS = TABLES (frec_df2 * blind) .
 
GLM la2dfba BY frec_df2 blind 
 /  EMMEANS = TABLES (frec_df2 * blind) .


*.
* IV. ANALYSES SECTION CORRELATION.
*

CORRELATIONS   /VARIABLES= frec_dif frec_df2 z_global eval lnldfba .

*V. MULTIPLE REGRESSION ANALYSIS .

*OK.
* COKE AND PEPSI ANALYSIS FOR BRAND USAGE.
*OK.
*This are analyses sent by Dominika; it doesn't correspond to the analysis reported in the ms., 
 which is described as using "brand usage frequency" as the criterion .  This analysis is reported
 below (and does agree with what is reported in the ms.) .

*Following line appears earlier in this syntax, not needed here .
*compute eval = (pop_dif + mod_dif + fas_dif + yo_dif + tast_dif + he_dif) / 6.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT user_of
  /METHOD=ENTER eval lnldfba.

REGRESS 
 / STATISTICS = R COEFF ANOVA ZPP CHA
 / dep = frec_dif
 / METHOD = enter zeval lnldfba .


*OK.
* COKE AND PEPSI ANALYSIS FOR BRAND RECOGNITION.
*OK.
compute recog = 2.
if (user_of = 2 AND blind = 2) recog  = 1.
if (user_of = 1 AND blind = 2) recog = 3.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT recog
  /METHOD=ENTER eval lnldfba.

*First for "user_of" measure, using 6-item SD measure .
REGRESS 
 / STATISTICS = R COEFF ANOVA ZPP CHA
 / dep = user_of
 / METHOD = enter zeval lnldfba .

*Next using line_dif .
REGRESS 
 / STATISTICS = R COEFF ANOVA ZPP CHA
 / dep = user_of 
 / METHOD = enter zline_di lnldfba .

*Next using prefer2 .
REGRESS 
 / STATISTICS = R COEFF ANOVA ZPP CHA
 / dep = user_of 
 / METHOD = enter zprefer2 lnldfba .

COMPUTE filter$ = (recog=1 OR recog=3) .
FILTER BY filter$ .
LOGISTIC REGRESSION 
 recog WITH zeval lnldfba .
FILTER OFF .

*Second for taste discrimination measure.
*Distinguish four groups: 
* 1 = Pepsi users who discriminate .
* 2 = Pepsi users who don't discriminate , 
* 3 = Coke users who don't discriminate .
* 4 = Coke users who do discriminate .

IF (user_of = 1 & blind = 2) tastdisc = 1 .
IF (user_of = 1 & blind = 1) tastdisc = 2 .
IF (user_of = 2 & blind = 1) tastdisc = 3 .
IF (user_of = 2 & blind = 2) tastdisc = 4 .

REGRESS 
 / STATISTICS = R COEFF ANOVA ZPP CHA
 / dep = tastdisc 
 / METHOD = enter zeval lnldfba .

COMPUTE filter$ = (tastdisc=1 OR tastdisc=4) .
FILTER BY filter$ .

REGRESS 
 / STATISTICS = R COEFF ANOVA ZPP CHA
 / dep = tastdisc 
 / METHOD = enter zeval lnldfba .


LOGISTIC REGRESSION 
 tastdisc WITH zeval lnldfba .
FILTER OFF .
