*.
* McDonald - Milk Bar STUDY.
* GENERATION OF THE VARIABLES USED IN THE ANALYSES.
*.

GET FILE = 'McDon_ang.sav' .

COMPUTE freq_dif = freq_mb - freq_md .

compute clean_df = mb_clean - mc_clean.
compute nice_df = mb_nice - mc_nice.
compute popul_df = mb_popul - mc_popul.
compute fast_df = mb_fast - mc_fast.
compute tasty_df = mb_tasty - mc_tasty.
compute heal_df = mb_heal - mc_heal.

compute expen_df= expen_mb - expen_mc.

*Added by AGG, 4 Sep 03 .
CORRELATIONS clean_df nice_df popul_df fast_df tasty_df heal_df expen_df .
*Weight of expen_df is reversed in 'eval7' because it correlates negatively with all but 'clean' .
COMPUTE eval7 = (clean_df + nice_df + popul_df + fast_df + tasty_df + heal_df - expen_df)/7.

compute eval6 = (clean_df + nice_df + popul_df + fast_df + tasty_df + heal_df)/6.
compute eval5 = (nice_df + popul_df + fast_df + tasty_df + heal_df)/5.

*.
* Z-SCORE GENERATION. 
*.
DESCRIPTIVES   VARIABLES=eval7  /SAVE   /STATISTICS=MEAN STDDEV MIN MAX .

DESCRIPTIVES   VARIABLES=eval6  /SAVE   /STATISTICS=MEAN STDDEV MIN MAX .

DESCRIPTIVES   VARIABLES=eval5  /SAVE   /STATISTICS=MEAN STDDEV MIN MAX .

DESCRIPTIVES   VARIABLES=preferen/SAVE   /STATISTICS=MEAN STDDEV MIN MAX .

compute z_global = (zprefere + zeval5) /2.

***********
*Analyses are conducted in the same order as are presented in the text
***********

*.
* I. ANALYSES SECTION EXPLICIT BRAND ATTITUDES.
*.

T-TEST
  PAIRS= mb_clean mb_nice mb_popul mb_fast mb_tasty mb_heal  WITH mc_clean
  mc_nice mc_popul mc_fast mc_tasty mc_heal (PAIRED)
  /CRITERIA=CIN(.95)
  /MISSING=ANALYSIS.

SORT CASES BY cond .
SPLIT FILE BY cond .
T-TEST
  PAIRS= mb_clean mb_nice mb_popul mb_fast mb_tasty mb_heal  WITH mc_clean
  mc_nice mc_popul mc_fast mc_tasty mc_heal (PAIRED)
  /CRITERIA=CIN(.95)
  /MISSING=ANALYSIS.
SPLIT FILE OFF .
*.
* II. ANALYSES SECTION IMPLICIT ATTITUDES.
*.
T-TEST
  GROUPS=cond(1 2)
  /MISSING=ANALYSIS
  /VARIABLES=ala2dfba alnldfba
  /CRITERIA=CIN(.95) .

SPLIT FILE BY cond .
T-TEST
  PAIRS= alat2ab alnl2ab  WITH alat2ba alnl2ba (PAIRED)
  /CRITERIA=CIN(.95)
  /MISSING=ANALYSIS.
SPLIT FILE OFF .

*.
* III. ANALYSES SECTION CORRELATION.
*.

CORRELATIONS cond freq_dif z_global preferen eval5 eval6 alnldfba .
CORRELATIONS cond freq_dif z_global alnldfba alatdfba ala2dfba  .

*IV. MULTIPLE REGRESSION ANALYSIS .

*These are analyses sent by Dominika; corresponding to what is reported in ms .
*OK.
* FASTFOOD REGRESSION.
*OK.
compute regnew = (clean_df + nice_df + popul_df + fast_df + tasty_df + heal_df + expen_df) / 7.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT cond
  /METHOD=ENTER regnew alnldfba  .

*Note that above uses a semantic differential with 7 items, in contrast with the 6-item SD used in 
 the earlier syntax.  Following is with 6-item SD .  Also, the 7th item should be weighted negatively 
 if it is used at all (see inter-item correlations computed above) .

REGRESS 
 / STATISTICS = R COEFF ANOVA ZPP CHA
 / dep = cond 
 / METHOD = enter zeval7 alnldfba .

* Here is with 6-item SD .
REGRESS 
 / STATISTICS = R COEFF ANOVA ZPP CHA
 / dep = cond 
 / METHOD = enter zeval6 alnldfba .

*Following is with 5-item SD .
REGRESS 
 / STATISTICS = R COEFF ANOVA ZPP CHA
 / dep = cond 
 / METHOD = enter zeval5 alnldfba .

*Following is with single(?)-item preference measure .
REGRESS 
 / STATISTICS = R COEFF ANOVA ZPP CHA
 / dep = cond
 / METHOD = enter zprefere alnldfba .


LOGISTIC REGRESSION 
 cond WITH regnew alnldfba .
