*.
* DANONE BAKOMA STUDY.
* GENERATION OF THE VARIABLES USED IN THE ANALYSES.
*.
GET FILE = 'jog_ang.sav' .

FREQUENCIES fav_bran .

compute freq_2 = freq_eat.
recode freq_2 (1,2 = 1) (4,5 = 2).

compute pref_2 = preferen.
recode pref_2 (1,2 = 1) (4,5 = 2).

compute like_dif = dan_like - bak_like.

compute tast_dif = d_tasty - b_tasty.
compute natu_dif = d_natura - b_natura.
compute heal_dif = d_health - b_health.
compute wort_dif = d_worth - b_worth.
compute youn_dif = d_young - b_young.
compute fash_dif = d_fashio - b_fashio.
compute popu_dif = d_popula - b_popula.
compute nice_dif = d_nice - b_nice.

compute dan_eval = (d_tasty + d_natura + d_health + d_worth + d_young + d_fashio + d_popula + d_nice) / 8.
compute bak_eval = (b_tasty + b_natura + b_health + b_worth + b_young + b_fashio + b_popula + b_nice) / 8.
compute di_eval = dan_eval - bak_eval.

corr /var di_eval dif_eval .
*Above establishes that the previous 'dif_eval' variable was computed in the fashion just shown.
* It equals difference of averages of the eight evaluative scales .

COMPUTE filter$ = (fav_bran=1 OR fav_bran=2) .
corr /var di_eval dif_eval preferen like_dif .
FILTER BY filter$ .
corr /var di_eval dif_eval preferen like_dif .
FILTER OFF .
.
*.
* Z-SCORE GENERATION.
*.
DESCRIPTIVES   VARIABLES=preferen  /SAVE   /STATISTICS=MEAN STDDEV MIN MAX .
compute zpref = zprefere.

DESCRIPTIVES   VARIABLES=like_dif  /SAVE   /STATISTICS=MEAN STDDEV MIN MAX .
compute zlik_dif = zlike_di.

DESCRIPTIVES   VARIABLES=dif_eval  /SAVE   /STATISTICS=MEAN STDDEV MIN MAX .
compute zeval = zdif_eva.

*The following is incorrect generation of a combined variable.  It should have used the z scores
*computed just above.  Correct syntax is provided below, with new DV 'explicit' .

compute new = (preferen + like_dif + dif_eval) /3.
DESCRIPTIVES   VARIABLES=new  /SAVE   /STATISTICS=MEAN STDDEV MIN MAX .
compute zmean = znew.

COMPUTE Explicit = (zpref + zlike_di + zdif_eva) / 3 .

***********
*Analyses are conducted in the same order as are presented in the text
***********
*.
* I. ANALYSES SECTION EXPLICIT BRAND ATTITUDES.
*.
freq /var fav_bran preferen.


T-TEST
  PAIRS= d_tasty d_natura d_health d_worth d_young d_fashio d_popula d_nice
  WITH b_tasty b_natura b_health b_worth b_young b_fashio b_popula b_nice
  (PAIRED)
  /CRITERIA=CIN(.95)
  /MISSING=ANALYSIS.

SORT CASES BY fav_bran .
COMPUTE filter$ = (fav_bran=1 OR fav_bran=2) .
*COMPUTE filter$ = (fav_bran= 1).
FILTER BY filter$ .

SPLIT FILE BY fav_bran .
T-TEST
  PAIRS= d_tasty d_natura d_health d_worth d_young d_fashio d_popula d_nice
  WITH b_tasty b_natura b_health b_worth b_young b_fashio b_popula b_nice
  (PAIRED)
  /CRITERIA=CIN(.95)
  /MISSING=ANALYSIS.
SPLIT FILE OFF .
FILTER OFF.


*.
* II. ANALYSES SECTION IMPLICIT ATTITUDES.
*.

T-TEST
  PAIRS= alat2ab alnl2ab  WITH alat2ba alnl2ba (PAIRED)
  /CRITERIA=CIN(.95)
  /MISSING=ANALYSIS.

SORT CASES BY freq_2 .
COMPUTE filter$ = (freq_2=1 OR freq_2=2) .
FILTER BY filter$ .

SPLIT FILE BY freq_2 .
T-TEST
  PAIRS= alat2ab alnl2ab  WITH alat2ba alnl2ba (PAIRED)
  /CRITERIA=CIN(.95)
  /MISSING=ANALYSIS.
SPLIT FILE OFF .
FILTER OFF.

*.
* III. ANALYSES SECTION CORRELATION.
*.

CORRELATIONS
  /VARIABLES=alnldfba z_mean freq_eat
  /PRINT=TWOTAIL NOSIG
  /MISSING=PAIRWISE .

*Recode to score in same direction as other measures .
RECODE fav_bran (1=2) (2=1) .

CORRELATIONS freq_eat explicit zmean zpref zlike_di zdif_eva alnldfba .
CORRELATIONS freq_eat explicit alnldfba alatdfba ala2dfba .

COMPUTE filter$ = (fav_bran=1 OR fav_bran=2) .
FILTER BY filter$ .
CORRELATIONS freq_eat explicit zmean zpref zlike_di zdif_eva alnldfba .
CORRELATIONS freq_eat explicit alnldfba alatdfba ala2dfba .
FILTER OFF .

*IV. MULTIPLE REGRESSION ANALYSIS .

*OK.
* DANONE BAKOMA STUDY.
*OK.
compute eval = (tast_dif + natu_dif + heal_dif + wort_dif + youn_dif + fash_dif + popu_dif + nice_dif) / 8.
EXECUTE.

freq /var fav_bran.
COMPUTE filter$ = (fav_bran <= 2).
freq /var fav_bran.

FILTER BY filter$ .

* This is the syntax sent by Dominika; reproduces what is in ms .
REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT fav_bran
  /METHOD=ENTER eval alnldfba.

* This is equivalent, using semantic differential measure .
REGRESS 
 / STATISTICS = R COEFF ANOVA ZPP CHA
 / dep = fav_bran 
 / METHOD = enter zdif_eva alnldfba .

CORRELATIONS zdif_eva alnldfba fav_bran .

* This uses thermometer-like difference measure .
REGRESS 
 / STATISTICS = R COEFF ANOVA ZPP CHA
 / dep = fav_bran 
 / METHOD = enter zlike_di alnldfba .

* This uses single item 5-point measure .
REGRESS 
 / STATISTICS = R COEFF ANOVA ZPP CHA
 / dep = fav_bran 
 / METHOD = enter zpref alnldfba .

LOGISTIC REGRESS fav_bran WITH zdif_eva alnldfba .
